#include "defines.h"
#include "aenv.h"
#include "astring.h"

void DateFname(unchar *argv0,unchar *base,unchar *env,unchar *Hname)
/* 環境ファイルフルパス名作成 */
{
unchar dir[MAXPATH],fname[MAXFILE],dt[9];
	/* 環境変数がなければ本体と同じディレクトリを参照する */
	exedir(argv0,dir);
	
	/* ファイル名は??yymmdd.*:yymmdd=今日の日付となる */
	make_date(dt);
	sprintf(fname,base,dt[0],dt[1],dt[3],dt[4],dt[6],dt[7]);
	dir_name(Hname,getenv2(env,dir),fname);
}
